import * as t from "./interfaces";
export { Builder } from "./interfaces";
/**
 * Create readable dir.
 * @param dir
 */
export declare function createReadableDir(dir: string): t.ReadableDir;
/**
 * Create temporary dir.
 */
export declare function createTempDir(): Promise<t.TempDir>;
/**
 * Create a build output helper with the specified builder.
 * @param builder a broccoli builder.
 */
export declare function wrapBuilder(builder: t.Builder): t.Output;
/**
 * Create a build output helper with the specified output node using
 * the broccoli `Builder`.
 * @param outputNode
 */
export declare function createBuilder(outputNode: any): t.Output;
/**
 * Create a build output helper with the specified output node and a
 * promise for the initial build.
 * @param outputNode
 */
export declare function buildOutput(outputNode: any): Promise<t.Output>;
