"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const rimraf = require("rimraf");
const fixturify_1 = require("./fixturify");
const readable_dir_1 = require("./readable_dir");
class TempDir extends readable_dir_1.default {
    constructor(dir) {
        super(dir);
    }
    write(content, to) {
        fixturify_1.writeSync(this.path(to), content);
    }
    copy(from, to) {
        fixturify_1.writeSync(this.path(to), fixturify_1.readSync(from));
    }
    dispose() {
        return new Promise((resolve, reject) => {
            rimraf(this.path(), (err) => {
                err ? reject(err) : resolve();
            });
        });
    }
}
exports.default = TempDir;
//# sourceMappingURL=temp_dir.js.map