"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const walkSync = require("walk-sync");
const FSTree = require("fs-tree-diff");
class TreeDiff {
    constructor(path) {
        this.path = path;
        this.last = FSTree.fromEntries([]);
        this.current = FSTree.fromEntries([]);
        this.changes = {};
    }
    recompute() {
        let last = this.last = this.current;
        let current = this.current = FSTree.fromEntries(walkSync.entries(this.path));
        let changes = this.changes = {};
        let patch = last.calculatePatch(current);
        for (let i = 0; i < patch.length; i++) {
            let op = patch[i][0];
            let path = patch[i][1];
            changes[path] = op;
        }
    }
}
exports.default = TreeDiff;
//# sourceMappingURL=tree_diff.js.map